/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2010 EBM WebSourcing - http://www.petalslink.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package org.ow2.petals.se.talend.model;

/**
 * An exception used to create a fault when a Talend job fails to run correctly.
 * <p>
 * This exception is used to indicate a problem mainly related to the job (e.g. the
 * job could not be created, the result does not what is expected, and so on...).
 * </p>
 * 
 * @author Vincent Zurczak - EBM WebSourcing
 */
public class TalendBusinessException extends Exception {

    /**
     * The serial ID.
     */
    private static final long serialVersionUID = 2233674112072168382L;


    /**
     * Constructor.
     * @param message the exception message
     */
    public TalendBusinessException( String message ) {
        super( message );
    }
}
