/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2010 EBM WebSourcing - http://www.petalslink.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package org.ow2.petals.se.talend.utils;

import java.net.URI;
import org.ow2.easywsdl.wsdl.api.abstractItf.AbsItfOperation.MEPPatternConstants;

import org.ow2.petals.component.framework.api.Message.MEPConstants;

/**
 * A set of utility methods for MEPs.
 * @author Vincent Zurczak - EBM WebSourcing
 * 
 * TODO: review this implementation once we move on the next CDK (Petals' constants).
 */
public class MepUtils {

    /**
     * Compares an EasyWSDL MEP and a Petals MEP.
     * @param ewMep an EasyWSDL MEP
     * @param exchangeMep a Petals MEP
     * @return true if the MEPs are equivalent, false otherwise
     */
    public static boolean compareMeps( MEPPatternConstants ewMep, URI exchangeMep ) {

        boolean result = false;
        if( ewMep != null ) {

            switch( ewMep ) {
                case IN_ONLY:
                    result = exchangeMep.toString().equals( MEPConstants.IN_ONLY_PATTERN.toString());
                    break;

                case IN_OPTIONAL_OUT:
                    result = exchangeMep.toString().equals( MEPConstants.IN_OPTIONAL_OUT_PATTERN.toString());
                    break;

                case IN_OUT:
                    result = exchangeMep.toString().equals( MEPConstants.IN_OUT_PATTERN.toString());
                    break;

                case ROBUST_IN_ONLY:
                    result = exchangeMep.toString().equals( MEPConstants.ROBUST_IN_ONLY_PATTERN.toString());
                    break;

                default:
                    result = false;
                    break;
            }
        }
        else {
            result = exchangeMep == null;
        }

        return result;
    }
}
